unified-agent-config
Update Agent Tools
Update agent tools configuration.
POST
/
unified
/
agents
/
{agent_id}
/
tools
Update Agent Tools
curl --request POST \
--url https://api.example.com/unified/agents/{agent_id}/tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"tool_key": "<string>",
"enabled": true,
"config": {}
}
]
'import requests
url = "https://api.example.com/unified/agents/{agent_id}/tools"
payload = [
{
"tool_key": "<string>",
"enabled": True,
"config": {}
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{tool_key: '<string>', enabled: true, config: {}}])
};
fetch('https://api.example.com/unified/agents/{agent_id}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
The response is of type Response Update Agent Tools Unified Agents Agent Id Tools Post · object.
Previous
Associate WorkflowAssociate a workflow with an agent.
Validation checks:
- Agent exists and user owns it
- Workflow exists and user owns it
- Workflow belongs to same tenant as agent
- Workflow is active (not archived)
- Workflow tools are available to agent (optional)
Next
⌘I
Update Agent Tools
